GuideLab API

Connect or update Dentally integration

Create or update a Dentally connection for the authenticated clinic. Validates credentials before saving. Requires organization manager access.

POST
/integrations/dentally

Create or update a Dentally connection for the authenticated clinic. Validates credentials before saving. Requires organization manager access.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/integrations/dentally" \  -H "Content-Type: application/json" \  -d '{    "apiKey": "string",    "apiBaseUrl": "https://api.dentally.co"  }'
{  "id": "string",  "name": "string",  "apiBaseUrl": "string",  "connectionStatus": "string",  "statusMessage": "string",  "syncEnabled": true,  "lastSyncAt": "string",  "lastSyncStatus": "string",  "isActive": true,  "createdAt": "string",  "updatedAt": "string"}
Empty